Package org.springframework.cglib.transform

# Class ClassFilterTransformer

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer
org.springframework.cglib.transform.AbstractClassTransformer
org.springframework.cglib.transform.AbstractClassFilterTransformer
org.springframework.cglib.transform.ClassFilterTransformer

public class ClassFilterTransformer extends AbstractClassFilterTransformer

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`ClassFilterTransformer(ClassFilter filter, ClassTransformer pass)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`accept(int version, int access, String name, String signature, String superName, String[] interfaces)`

### Methods inherited from class org.springframework.cglib.transform.AbstractClassFilterTransformer

`setTarget, visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visitModule, visitNestHost, visitNestMember, visitPermittedSubclass, visitRecordComponent, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassFilterTransformer

public ClassFilterTransformer(ClassFilter filter, ClassTransformer pass)

## Method Details

### accept

protected boolean accept(int version, int access, String name, String signature, String superName, String[] interfaces)

Specified by:
  `accept` in class `AbstractClassFilterTransformer`